%define rname php-mode
%define flavor emacs

Summary: Major mode for editing PHP code
Name:  emacs-%{rname}
Version: 1.2.0
Release: %mkrel 1
Epoch: 1
Source0: http://prdownloads.sourceforge.net/php-mode/%{rname}-%{version}.tar.bz2
URL: http://php-mode.sourceforge.net/
License: GPL
Group: Editors
BuildRoot: %_tmppath/%{name}-buildroot
BuildRequires: %{flavor}
BuildRequires: perl
BuildRequires: emacs-bin
BuildArch:     noarch	

%description
Major mode for editing PHP code

%prep
%setup -q -c
perl -n -e 'print if /^;;; Usage/ .. /^;;; Code/' < %{rname}.el > DOCUMENTATION

%build
for i in %flavor; do
$i -batch -q -no-site-file -f batch-byte-compile %{rname}.el 
mv %{rname}.elc $i-%{rname}.elc
done

%install
rm -rf $RPM_BUILD_ROOT

for i in %flavor; do
mkdir -p %buildroot%{_datadir}/$i/site-lisp/
install -m644 $i-%{rname}.elc %buildroot%_datadir/$i/site-lisp/%{rname}.elc
[[ $i = emacs ]] && install -m644 %{rname}.el %buildroot%_datadir/emacs/site-lisp/
done

install -d %buildroot%_sysconfdir/emacs/site-start.d
cat > %buildroot%_sysconfdir/emacs/site-start.d/%{name}.el << EOF
;; -*- Mode: Emacs-Lisp -*-
; Copyright (C) 2000 by Chmouel Boudjnah
; 
; Redistribution of this file is permitted under the terms of the GNU 
; Public License (GPL)
;

(autoload '%{rname} "%{rname}" nil t)
(setq auto-mode-alist (append '(("\\\\.php3?\\\\'" . %{rname})) auto-mode-alist))
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc DOCUMENTATION
%config(noreplace) /etc/emacs/site-start.d/%{name}.el
%_datadir/*/site-lisp/*el*


%changelog
* Mon Jul 09 2007 Olivier Blin <oblin@mandriva.com> 1.2.0-1mdv2008.0
+ Revision: 50545
- 1.2.0
- bump Epoch
- update documentation filtering regexp (and move in prep section)
- Import emacs-php-mode



* Fri Apr 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 102-6mdk
- rebuild for new emacs

* Wed Feb 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 102-5mdk
- remove xemacs file, included in xemacs package 
- fix site-start file

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 102-4mdk
- rebuild for latest emacs

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 102-3mdk
- welcome to goreland:
  s!
		cat << EOF > file
		%%{expand:%%(%%__cat %%{SOURCE1})}
		EOF
	!cat %%SOURCE1 > file
	!g

	s!
		mkdir -p %%name-%%version
		install -m644 %%SOURCE0 %%name-%%version/%%rname.el
		%%setup -T -D
	!
		%%setup -c -T
	!g

- remove useless prefix

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 102-2mdk
- buildarch noarch
- buildrequires emacs-bin

* Sat Jan 26 2002 Yves Duret <yduret@mandrakesoft.com> 102-1mdk
- version 102
- add URL: tag
- s#Copyright#License#

* Mon Sep 10 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 099-1mdk
- First version.
